!trPFMasOMDqcwYBXEy:matrix.org

CadQuery

323 Members
https://github.com/CadQuery/cadquery4 Servers

Load older messages


SenderMessageTime
25 Sep 2022
@_discord_209043174960660490:t2bot.ioJern then you can rotate the workplane, and then you create another box with centered turned off on all 3 axes (I think) centered=(False,False,False) 22:23:59
26 Sep 2022
@_discord_811740167064649759:t2bot.ioLIES joined the room.18:56:01
@_discord_908172247359963226:t2bot.iofpq473#6357 I drew an "S" shaped curve (a spline) in Sketch.

How might I "thicken" this to a face? I'd like to revolve the face into a solid (like a vase without a bottom).
19:24:42
@_discord_908172247359963226:t2bot.iofpq473#6357 * I drew an "S" shaped curve (a spline) in Sketch. How might I "thicken" this to a face (like a ribbon)? I'd like to revolve the face into a solid (like a vase without a bottom). 19:25:43
@_discord_908172247359963226:t2bot.iofpq473#6357 * I drew an "S" shaped curve (a spline) in Sketch. How might I "thicken" this to a face, as if I drew the curve with a thick marker? I'd like to revolve the face into a solid (like a vase without a bottom). 19:26:20
@_discord_896482168103125002:t2bot.ioRoger Maitland#7070 I couldn't get offset2D to work in Sketch but this works:
spline_edge = cq.Edge.makeSpline([cq.Vector(p) for p in middleCutSplinePts])
spline = cq.Wire.assembleEdges([spline_edge])
offset_spline = spline.offset2D(1)
if "show_object" in locals():
    show_object(offset_spline)
20:42:17
27 Sep 2022
@_discord_332903554807234560:t2bot.ioqwelyt#8390 Hm. Can I hull two faces together? 11:30:59
@_discord_332903554807234560:t2bot.ioqwelyt#839020220927_133256.png
Download 20220927_133256.png
11:33:40
@_discord_332903554807234560:t2bot.ioqwelyt#8390 I have that and would like those faces to be connected. 11:33:40
@_discord_896482168103125002:t2bot.ioRoger Maitland#7070 Are you looking for loft ? 11:43:17
@_discord_332903554807234560:t2bot.ioqwelyt#8390 Maybe. 👀
How would one loft two faces?
20:09:59
@_discord_332903554807234560:t2bot.ioqwelyt#8390 Reading the docs I see the fluent api used with 2d methods and offsets. Not quite sure how to do it with two different workplanes. 20:10:46
@_discord_896482168103125002:t2bot.ioRoger Maitland#7070 I would extract the two faces, use outerWire() to get the perimeter Wires and Solid.makeLoft(). However, what do you expect will happen with the hole in the right one? 20:14:34
@_discord_332903554807234560:t2bot.ioqwelyt#8390 For now just ignore the hole. I will make a better selection once I know how to do the work. 20:16:21
@_discord_332903554807234560:t2bot.ioqwelyt#8390 Probably select the top part of it instead. 20:16:29
@_discord_332903554807234560:t2bot.ioqwelyt#8390 How? 🙂
a = one.faces(faceSelect1).val().outerWire()
b = two.faces(faceSelect2).val().outerWire()
c = cq.Solid.makeLoft([a,b])

gives me standard_ConstructionError: BRepFill :: profiles are inconsistent
20:25:57
@_discord_896482168103125002:t2bot.ioRoger Maitland#7070 Maybe OCCT can't do it? 20:26:44
@_discord_332903554807234560:t2bot.ioqwelyt#8390 This saddens me. 20:29:00
@_discord_896482168103125002:t2bot.ioRoger Maitland#7070 I don't think I could do it by hand. 4 edges to 8 edges? 20:29:48
@_discord_332903554807234560:t2bot.ioqwelyt#8390 I will have to create a better selection I think. 20:37:19
@_discord_332903554807234560:t2bot.ioqwelyt#8390 I tried an easier example with just two modules next to each other and lofted those. It worked. 20:37:46
@_discord_332903554807234560:t2bot.ioqwelyt#8390 But I can't rotate them on the Z axis more than 6 degrees before it starts spewing errors. 20:38:15
@_discord_332903554807234560:t2bot.ioqwelyt#8390 Just selecting the faces >X on one and <X on the other. 20:38:33
@_discord_332903554807234560:t2bot.ioqwelyt#8390 Or I have to create intermediate objects to loft to so the angle is not as extreme for the loft operation. 20:39:29
@_discord_332903554807234560:t2bot.ioqwelyt#839020220927_232443.png
Download 20220927_232443.png
21:25:51
@_discord_332903554807234560:t2bot.ioqwelyt#8390 Can I force makeLoftto actually put in all the walls? 21:25:52
@_discord_896482168103125002:t2bot.ioRoger Maitland#7070 I don't think so. However, you can take these faces and add to them to create a complete Shell then a Solid. 22:07:16
28 Sep 2022
@_discord_261545357715046401:t2bot.iox1a4 joined the room.03:41:11
@_discord_261545357715046401:t2bot.iox1a4 hi, is it possible to constrain a subassembly with its bounding box? Right now I'm using a Plane constraint between each of the subassembly's parts and the base, which works, but I'm wondering if it's possible to do that in a single constraint with a face of the bounding box? 03:44:12
@empwilli:matrix.org@empwilli:matrix.org left the room.13:25:25

There are no newer messages yet.


Back to Room List